<?php
session_start();
require_once "../../../config.php";
require_once "../../../validation.php";
require_once "../../../Helper.php";

require_once '../../database1.php';
require_once "../../check_admin.php";

require_once '../check_edit_page_ajax.php';

class EditAjax extends database{
	public function index($data, $id)
	{
		$where['cl_id'] = $id;
		return $this->update('tb_checkout', $data,$where);
	}
}

if(!isset($_POST['name']) || !isset($_POST['value']))
{
	http_response_code(400);
	echo json_encode(['error_text' => 'No input found']);
	exit;
}

$name = $_POST['name'];
$value = $_POST['value'];

$helper = new Helper();
$validation = new validation();

$data[$name] = $value;


if(!is_numeric($value))
{
	http_response_code(401);
	echo json_encode(array('error_text' => 'This should be numeric'));
	exit;

}


$data = $validation->setColumnPrefix($data);

$obj = new EditAjax();
$res = $obj->index($data, $id);
if(!$res)
{
	http_response_code(500);
	echo json_encode(array('error_text' => 'Something Went Wrong'));
	exit;
}

session_start();
$_SESSION['error_message'] = 'Amount Updated Successfully';
$_SESSION['error_type'] = 'success';

http_response_code(200);
echo json_encode(array('message' => 'Amount Updated Successfully'));
exit;